-- System prefix: sy_ systemid: 8
-- Tables for the System Module
-- Copyright (c) 2001 The FreeMoney Project
-- This work is released under the GPL
-- $Id: create_tables_system.sql,v 1.11 2001/08/18 21:04:41 kaare Exp $

-- Sequences

--Tables
DROP TABLE sy_ownercompany;

CREATE TABLE sy_ownercompany (
       owner_id              integer NOT NULL DEFAULT nextval('sy_ownersequence'),
       contact_id           integer,
       periodfrom           date,
       periodto             date,
       debtcoaid            integer,
       invat_id             integer,
       outvat_id            integer,
       artext               varchar(255),
       arbatchtext          varchar(255),
       amounttype           integer,
       currencyid           integer,
       updated              timestamp NOT NULL DEFAULT 'now',
 PRIMARY KEY (owner_id ),
 FOREIGN KEY (contact_id )  REFERENCES co_contact
);

COMMENT ON TABLE sy_ownercompany IS 'System owner';
COMMENT ON COLUMN sy_ownercompany.owner_id  IS 'Sequence number. Not decided yet if more than one owner is allowed';
COMMENT ON COLUMN sy_ownercompany.contact_id  IS 'Reference to contact';
COMMENT ON COLUMN sy_ownercompany.periodfrom IS 'From period (accounting)';
COMMENT ON COLUMN sy_ownercompany.periodto IS 'To period (accounting)';
COMMENT ON COLUMN sy_ownercompany.updated IS 'Timestamp for latest update of this row';

-- Views

-- Functions

-- Triggers
